connectors:
  Battery Connector:
    type: DF11-6DS-2C
    manufacturer: Hirose
    subtype: female
    pinlabels: [VBAT+,VBAT+,VBAT-,VBAT-,COMMON,TBAT]
    
  Antenna Plug 1:
    type: U.FL
    manufacturer: Hirose
    subtype: female
    pinlabels: [ANT+]
    
  Antenna Plug 2:
    type: U.FL
    manufacturer: Hirose
    subtype: female
    pinlabels: [ANT+]
    
  BMPS:
    manufacturer: Hirose
    type: DF11-6DS-2C
    subtype: female
    pinlabels: [KILL-GND, GND, VBAT+, BP-PWR, GND (TOP-PV-), VBAT+ (TOP-PV+)]

  Base Plate:
    manufacturer: Hirose
    type: DF11-8DS-2C
    subtype: female
    pinlabels: [VBAT+, BP-PWR, KILL-GND, GND, COMMS-GND, ANT-REL, VBAT-SENSE, ANT-SENSE]
    
  Top Solar Panel:
    manufacturer: JST
    type: JST SH 2-Pin 1.0mm
    subtype: female
    pinlabels: [VBAT+, GND]
  
  COMMS-AUX:
    manufacturer: Molex
    type: Picoblade 1.25mm
    subtype: female
    pinlabels: [VBAT-SENSE, ANT-SENSE, ANT-REL, COMMS-GND]
    
  COMMS Prog.:
    manufacturer: Molex
    type: Picoblade 1.25mm
    subtype: female
    pinlabels: [VCCQ,SWCLK,GND,SWDIO,NRST,SWO]

  COMMS Prog. Base Plate:
    manufacturer: Molex
    type: Picoblade 1.25mm
    subtype:  female
    pinlabels: [VCCQ,SWCLK,GND,SWDIO,NRST,SWO]

  Umbilical:
    manufacturer: Hirose
    type: DF11-16DP-2DSA(24)
    subtype: male
    pinlabels: [BAT_CHG-,EPS-PWR,GND,VBAT+,JTDO1,JTDO2,NRST1,NRST2,SWDIO1,SWDIO2,GND1,GND2,SWCLK1,SWCLK2,VCCQ1,VCCQ2]

  JTAG Programmer 1:
    type: Dupont Terminal 1 Pins 2.54mm
    subtype: female
    pinlabels: [JTDO1,NRST1,SWDIO1,GND1,SWCLK1,VCCQ1]

  JTAG Programmer 2:
    type: Dupont Terminal 1 Pins 2.54mm
    subtype: female
    pinlabels: [JTDO2,NRST2,SWDIO2,GND2,SWCLK2,VCCQ2]

cables:
  Battery Wires:
    gauge: 26 AWG
    length: 60 mm
    colors: [RD,RD,BK,BK,BK,YE]
    wirecount: 6
    wirelabels: [45mm,45mm,55mm,55mm,60mm,55mm]
    notes: largest length specified
    
  Antenna Wire:
    gauge: 1.32 Dia.-Coaxial
    length: 60 mm
    colors: [GY]
    wirecount: 1
    
  COMMS Prog. Wires:
    gauge: 28 AWG
    length: 50 mm
    colors: [BK]
    wirecount: 6
    notes: total x2 set
    
  W1:
    gauge: 26 AWG
    length: 80 mm
    colors: [BK,BU,RD,YE]
    wirecount: 4
  
  W2:
    gauge: 28 AWG
    length: 35 mm
    colors: [BK, RD]
    wirecount: 2

  W3:
    gauge: 28 AWG
    length: 50 mm 
    colors: [BK]    
    wirecount: 4

  UW:
    gauge: 26 AWG
    colors: [BK,YE,BU,RD]
    wirecount: 4
    notes: Length depends on the programmer

  JTAG Wires:
    gauge: 28 AWG
    colors: [RD,RD,RD,BK,RD,RD]
    wirecount: 6
    notes: Length depends on the programmer

connections:
  -
    - Battery Connector: [1,2,3,4,5,6]
    - Battery Wires: [1,2,3,4,5,6]
    
  -
    - Antenna Plug 1: [1]
    - Antenna Wire: [1]
    - Antenna Plug 2: [1] 
 
  -
    - Base Plate: [5,6,7,8]
    - W3: [1,2,3,4]
    - COMMS-AUX: [4,3,1,2]
    
  - 
    - BMPS: [5,6]
    - W2: [1,2]
    - Top Solar Panel: [1,2]
    
  - 
    - BMPS: [1,2,3,4]
    - W1: [1,2,3,4]
    - Base Plate: [3,4,1,2]
    
  -
    - COMMS Prog.: [1,2,3,4,5,6]
    - COMMS Prog. Wires: [1,2,3,4,5,6]
    - COMMS Prog. Base Plate: [1,2,3,4,5,6]

  - 
    - Umbilical: [1,2,3,4]
    - UW: [1,2,3,4]

  - 
    - Umbilical: [5,7,9,11,13,15]
    - JTAG Wires: [1,2,3,4,5,6]
    - JTAG Programmer 2: [1,2,3,4,5,6]

  - 
    - Umbilical: [6,8,10,12,14,16]
    - JTAG Wires: [1,2,3,4,5,6]
    - JTAG Programmer 1: [1,2,3,4,5,6]
